Game DDoS protection
All operations require authentication.
List IPs under protectionProduction
List IPs under protection. Returns a list of all IP addresses from a given IP block object that are protected by Game DDoS protection.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Response
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ game \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0"]
Get an IP under protectionProduction
Get an IP under protection. Returns the firewall mode, the supported game protocols, the maximum number of rules and the state of the Game DDoS protection.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
IPv4 address (e.g., 192.0.2.0)
Response
Firewall mode : in UDP, only allow traffic matching your rules (as well as established traffic). If not enabled, traffic to ports not defined in your rules will be permited. TCP traffic is unaffected by this.
IPv4 address (e.g., 192.0.2.0)
Maximum number of rules for this IP
Possible values for udp mitigation rule state
cleanRulesPendingfirewallModeDisablePendingfirewallModeEnablePendingokList of protocols available on this IP
arkSurvivalAscendedarkSurvivalEvolvedarkSurvivalEvolvedV311.78+armacounterStrike2fiveMgtaMultiTheftAutoSanAndreasgtaSanAndreasMultiplayerModhl2SourceminecraftBedrockWithRacknetCookieminecraftJavaminecraftPocketEditionminecraftQuerymumbleotherrustteamspeak2teamspeak3trackmaniaShootmaniavalheimExample uses ip = 192.0.2.0/24, ipOnGame = 192.0.2.0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ game/ {ipOnGame} \
-H "authorization: Bearer $OVH_TOKEN"{ "firewallModeEnabled": true, "ipOnGame": "192.0.2.0", "maxRules": 0, "state": "cleanRulesPending", "supportedProtocols": [ "arkSurvivalAscended" ]}
Update the firewall modeProduction
Update the firewall mode. Enables or disables the firewall mode of the IP. When enabled, UDP traffic that matches no declared rule is dropped. TCP traffic is not affected.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
IPv4 address (e.g., 192.0.2.0)
Request body (required)
Firewall mode : in UDP, only allow traffic matching your rules (as well as established traffic). If not enabled, traffic to ports not defined in your rules will be permited. TCP traffic is unaffected by this.
IPv4 address (e.g., 192.0.2.0)
Maximum number of rules for this IP
Possible values for udp mitigation rule state
cleanRulesPendingfirewallModeDisablePendingfirewallModeEnablePendingokList of protocols available on this IP
arkSurvivalAscendedarkSurvivalEvolvedarkSurvivalEvolvedV311.78+armacounterStrike2fiveMgtaMultiTheftAutoSanAndreasgtaSanAndreasMultiplayerModhl2SourceminecraftBedrockWithRacknetCookieminecraftJavaminecraftPocketEditionminecraftQuerymumbleotherrustteamspeak2teamspeak3trackmaniaShootmaniavalheimResponse
Example uses ip = 192.0.2.0/24, ipOnGame = 192.0.2.0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ game/ {ipOnGame} \
-H "authorization: Bearer $OVH_TOKEN"List protection rulesProduction
List protection rules. Returns the identifiers of the protection rules declared on the IP. Their number is limited by maxRules on the IP.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
IPv4 address (e.g., 192.0.2.0)
Response
Example uses ip = 192.0.2.0/24, ipOnGame = 192.0.2.0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ game/ {ipOnGame}/ rule \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a protection ruleProduction
Create a protection rule. Declares the Game DDoS protection rule: L7 protocol and UDP port range for a given IP address. Valid protocols are listed in supportedProtocols and the number of rules is limited by maxRules.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
IPv4 address (e.g., 192.0.2.0)
Request body (required)
The UDP port range to apply the rule on
The protocol running behind the given port(s). See supportedProtocols on the IP to know which values are valid here
arkSurvivalAscendedarkSurvivalEvolvedarkSurvivalEvolvedV311.78+armacounterStrike2fiveMgtaMultiTheftAutoSanAndreasgtaSanAndreasMultiplayerModhl2SourceminecraftBedrockWithRacknetCookieminecraftJavaminecraftPocketEditionminecraftQuerymumbleotherrustteamspeak2teamspeak3trackmaniaShootmaniavalheimResponse
ID of the rule
Start and end points (inclusive) of a range
Possible values for game rule protocol
arkSurvivalAscendedarkSurvivalEvolvedarkSurvivalEvolvedV311.78+armacounterStrike2fiveMgtaMultiTheftAutoSanAndreasgtaSanAndreasMultiplayerModhl2SourceminecraftBedrockWithRacknetCookieminecraftJavaminecraftPocketEditionminecraftQuerymumbleotherrustteamspeak2teamspeak3trackmaniaShootmaniavalheimCurrent state of your rule
createRulePendingdeleteRulePendingokExample uses ip = 192.0.2.0/24, ipOnGame = 192.0.2.0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ game/ {ipOnGame}/ rule \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "ports": { "from": 0, "to": 0 }, "protocol": "arkSurvivalAscended", "state": "createRulePending"}
Get a protection ruleProduction
Get a protection rule. Returns the UDP port range, the protocol running behind it and the state of the protection rule.
Path parameters
ID of the rule
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
IPv4 address (e.g., 192.0.2.0)
Response
ID of the rule
Start and end points (inclusive) of a range
Possible values for game rule protocol
arkSurvivalAscendedarkSurvivalEvolvedarkSurvivalEvolvedV311.78+armacounterStrike2fiveMgtaMultiTheftAutoSanAndreasgtaSanAndreasMultiplayerModhl2SourceminecraftBedrockWithRacknetCookieminecraftJavaminecraftPocketEditionminecraftQuerymumbleotherrustteamspeak2teamspeak3trackmaniaShootmaniavalheimCurrent state of your rule
createRulePendingdeleteRulePendingokExample uses id = 0, ip = 192.0.2.0/24, ipOnGame = 192.0.2.0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ game/ {ipOnGame}/ rule/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "ports": { "from": 0, "to": 0 }, "protocol": "arkSurvivalAscended", "state": "createRulePending"}
Delete a protection ruleProduction
Delete a protection rule. Deletes the protection rule from the IP, and returns the deleted rule with its state.
Path parameters
ID of the rule
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
IPv4 address (e.g., 192.0.2.0)
Response
ID of the rule
Start and end points (inclusive) of a range
Possible values for game rule protocol
arkSurvivalAscendedarkSurvivalEvolvedarkSurvivalEvolvedV311.78+armacounterStrike2fiveMgtaMultiTheftAutoSanAndreasgtaSanAndreasMultiplayerModhl2SourceminecraftBedrockWithRacknetCookieminecraftJavaminecraftPocketEditionminecraftQuerymumbleotherrustteamspeak2teamspeak3trackmaniaShootmaniavalheimCurrent state of your rule
createRulePendingdeleteRulePendingokExample uses id = 0, ip = 192.0.2.0/24, ipOnGame = 192.0.2.0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ game/ {ipOnGame}/ rule/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "ports": { "from": 0, "to": 0 }, "protocol": "arkSurvivalAscended", "state": "createRulePending"}